{ config, lib, pkgs, ... }:

{
  options.sbruder.libvirt.enable = lib.mkEnableOption "libvirt";

  config = {
    virtualisation.libvirtd.enable = config.sbruder.libvirt.enable;

    environment.systemPackages = lib.mkIf config.sbruder.gui.enable [ pkgs.virt-manager ];
  };
}
